Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockPortletConfig

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletConfig

All Implemented Interfaces:
  javax.portlet.PortletConfig

    public class MockPortletConfig

extends java.lang.Object
implements javax.portlet.PortletConfig

Mock implementation of the `PortletConfig` interface.

Since:
  2.0
Author:
  John A. Lewis, Juergen Hoeller

Constructor Summary
`MockPortletConfig()` Create a new MockPortletConfig with a default `MockPortletContext`.
`MockPortletConfig(javax.portlet.PortletContext portletContext)` Create a new MockPortletConfig.
`MockPortletConfig(javax.portlet.PortletContext portletContext, java.lang.String portletName)` Create a new MockPortletConfig.
`MockPortletConfig(java.lang.String portletName)` Create a new MockPortletConfig with a default `MockPortletContext`.

Method Summary
`void` | `addContainerRuntimeOption(java.lang.String key, java.lang.String value)`
`void` | `addContainerRuntimeOption(java.lang.String key, java.lang.String[] values)`
`void` | `addInitParameter(java.lang.String name, java.lang.String value)`
`void` | `addProcessingEventQName(javax.xml.namespace.QName name)`
`void` | `addPublicRenderParameterName(java.lang.String name)`
`void` | `addPublishingEventQName(javax.xml.namespace.QName name)`
`void` | `addSupportedLocale(java.util.Locale locale)`
`java.util.Map<java.lang.String,java.lang.String[]>` | `getContainerRuntimeOptions()`
`java.lang.String` | `getDefaultNamespace()`
`java.lang.String` | `getInitParameter(java.lang.String name)`
`java.util.Enumeration<java.lang.String>` | `getInitParameterNames()`
`javax.portlet.PortletContext` | `getPortletContext()`
`java.lang.String` | `getPortletName()`
`java.util.Enumeration<javax.xml.namespace.QName>` | `getProcessingEventQNames()`
`java.util.Enumeration<java.lang.String>` | `getPublicRenderParameterNames()`
`java.util.Enumeration<javax.xml.namespace.QName>` | `getPublishingEventQNames()`
`java.util.ResourceBundle` | `getResourceBundle(java.util.Locale locale)`
`java.util.Enumeration<java.util.Locale>` | `getSupportedLocales()`
`void` | `setDefaultNamespace(java.lang.String defaultNamespace)`
`void` | `setResourceBundle(java.util.Locale locale, java.util.ResourceBundle resourceBundle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockPortletConfig

    public MockPortletConfig()

  Create a new MockPortletConfig with a default `MockPortletContext`.

### MockPortletConfig

    public MockPortletConfig(java.lang.String portletName)

  Create a new MockPortletConfig with a default `MockPortletContext`.

  Parameters:
    `portletName` - the name of the portlet

### MockPortletConfig

    public MockPortletConfig(javax.portlet.PortletContext portletContext)

  Create a new MockPortletConfig.

  Parameters:
    `portletContext` - the PortletContext that the portlet runs in

### MockPortletConfig

    public MockPortletConfig(javax.portlet.PortletContext portletContext,
                             java.lang.String portletName)

  Create a new MockPortletConfig.

  Parameters:
    `portletContext` - the PortletContext that the portlet runs in
    `portletName` - the name of the portlet

Method Detail

### getPortletName

    public java.lang.String getPortletName()

  Specified by:
    `getPortletName` in interface `javax.portlet.PortletConfig`

### getPortletContext

    public javax.portlet.PortletContext getPortletContext()

  Specified by:
    `getPortletContext` in interface `javax.portlet.PortletConfig`

### setResourceBundle

    public void setResourceBundle(java.util.Locale locale,
                                  java.util.ResourceBundle resourceBundle)

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle(java.util.Locale locale)

  Specified by:
    `getResourceBundle` in interface `javax.portlet.PortletConfig`

### addInitParameter

    public void addInitParameter(java.lang.String name,
                                 java.lang.String value)

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

  Specified by:
    `getInitParameter` in interface `javax.portlet.PortletConfig`

### getInitParameterNames

    public java.util.Enumeration<java.lang.String> getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `javax.portlet.PortletConfig`

### addPublicRenderParameterName

    public void addPublicRenderParameterName(java.lang.String name)

### getPublicRenderParameterNames

    public java.util.Enumeration<java.lang.String> getPublicRenderParameterNames()

  Specified by:
    `getPublicRenderParameterNames` in interface `javax.portlet.PortletConfig`

### setDefaultNamespace

    public void setDefaultNamespace(java.lang.String defaultNamespace)

### getDefaultNamespace

    public java.lang.String getDefaultNamespace()

  Specified by:
    `getDefaultNamespace` in interface `javax.portlet.PortletConfig`

### addPublishingEventQName

    public void addPublishingEventQName(javax.xml.namespace.QName name)

### getPublishingEventQNames

    public java.util.Enumeration<javax.xml.namespace.QName> getPublishingEventQNames()

  Specified by:
    `getPublishingEventQNames` in interface `javax.portlet.PortletConfig`

### addProcessingEventQName

    public void addProcessingEventQName(javax.xml.namespace.QName name)

### getProcessingEventQNames

    public java.util.Enumeration<javax.xml.namespace.QName> getProcessingEventQNames()

  Specified by:
    `getProcessingEventQNames` in interface `javax.portlet.PortletConfig`

### addSupportedLocale

    public void addSupportedLocale(java.util.Locale locale)

### getSupportedLocales

    public java.util.Enumeration<java.util.Locale> getSupportedLocales()

  Specified by:
    `getSupportedLocales` in interface `javax.portlet.PortletConfig`

### addContainerRuntimeOption

    public void addContainerRuntimeOption(java.lang.String key,
                                          java.lang.String value)

### addContainerRuntimeOption

    public void addContainerRuntimeOption(java.lang.String key,
                                          java.lang.String[] values)

### getContainerRuntimeOptions

    public java.util.Map<java.lang.String,java.lang.String[]> getContainerRuntimeOptions()

  Specified by:
    `getContainerRuntimeOptions` in interface `javax.portlet.PortletConfig`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD